Totem recommends wrong architecture for plugins

Bug #903801 reported by Sam_ on 2011-12-13
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Totem
Unknown
Medium
totem (Ubuntu)
Undecided
Unassigned

Bug Description

Reproducable with gstreamer0.10-plugins-ugly, -bad and -ffmpeg, depending on the preferred music file.
Test case for gstreamer0.10-plugins-ugly.
Try to play .mp3 file with Totem.
It recommends to install gstreamer0.10-plugins-ugly:i386 on an amd64 architecture. (screenshot)
Workaround:
Cancel the dialog due to trouble ahead bug 914696 and rather install gstreamer0.10-plugins-ugly with apt via terminal.
Via terminal it installs:
gstreamer0.10-plugins-ugly_0.10.18-3ubuntu2_amd64.deb

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: totem 3.0.1-0ubuntu12
ProcVersionSignature: Ubuntu 3.2.0-4.10-generic 3.2.0-rc5
Uname: Linux 3.2.0-4-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 1.90-0ubuntu1
Architecture: amd64
Date: Tue Dec 13 17:14:26 2011
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20111129.1)
ProcEnviron:
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SourcePackage: totem
UpgradeStatus: No upgrade log present (probably fresh install)

Sam_ (and-sam) wrote :
description: updated
description: updated
Sam_ (and-sam) wrote :
description: updated
Sam_ (and-sam) on 2012-01-11
description: updated
Changed in totem:
importance: Unknown → Medium
status: Unknown → New
Sam_ (and-sam) wrote :

Comment from upstream developer:
That's not really a bug in totem, more a bug in the distro-specific installer thing that handles the missing plugin messages.

Changed in totem:
status: New → Unknown
Sam_ (and-sam) wrote :

Still the case with
totem:
  Installed: 3.0.1-0ubuntu18
  Candidate: 3.0.1-0ubuntu18
  Version table:
 *** 3.0.1-0ubuntu18 0

UI recommends :i386, apt installs amd64 package.
gstreamer0.10-plugins-ugly amd64 0.10.18.3-1ubuntu1 [356 kB]

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in totem (Ubuntu):
status: New → Confirmed
Sam_ (and-sam) on 2012-03-25
description: updated
Sam_ (and-sam) on 2012-04-12
description: updated
Sam_ (and-sam) wrote :

No change.
gstreamer0.10-plugins-ugly:
  Installed: 0.10.18.3-1ubuntu1
  Candidate: 0.10.18.3-1ubuntu1
  Version table:
 *** 0.10.18.3-1ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages
        100 /var/lib/dpkg/status

totem:
  Installed: 3.0.1-0ubuntu21
  Candidate: 3.0.1-0ubuntu21
  Version table:
 *** 3.0.1-0ubuntu21 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status

tags: added: multiarch
David Carlson (rundmcarlson) wrote :

I went through and manually installed all the dependencies and it seems to have worked. I also installed Medibuntu to try and prevent future problems with it. I can both play and transcode video now in almost all formats.

Fabio Marconi (fabiomarconi) wrote :

I think it is fixed in Raring :
njin@njin:~$ apt-cache policy gstreamer0.10-plugins-ugly
gstreamer0.10-plugins-ugly:
  Installed: 0.10.19-2
  Candidate: 0.10.19-2
  Version table:
 *** 0.10.19-2 0
        500 http://archive.ubuntu.com/ubuntu/ raring/universe amd64 Packages
        100 /var/lib/dpkg/status

installed starting from Precise
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Changed in totem (Ubuntu):
status: Confirmed → Incomplete
Changed in totem (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.